Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.string
Class ToString

    java.lang.Object
      com.servingxml.components.string.ToString

All Implemented Interfaces:
  Stringable, StringFactory

    public class ToString

extends java.lang.Object
implements StringFactory

The `ToString` class defines an implements a `StringFactory`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.StringFactory
`StringFactory.UninitializedStringFactory`

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.string.StringFactory
`UNINITIALIZED`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY, EMPTY_ARRAY`

Constructor Summary
`ToString(ValueEvaluator valueEvaluator, java.lang.String separator, QuoteSymbol quoteSymbol)`

Method Summary
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`void` | `createString(ServiceContext context, Flow flow, java.lang.StringBuilder buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToString

    public ToString(ValueEvaluator valueEvaluator,
                    java.lang.String separator,
                    QuoteSymbol quoteSymbol)

Method Detail

### createString

    public java.lang.String createString(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createString` in interface `Stringable`
  Specified by:
    `createString` in interface `StringFactory`

### createString

    public void createString(ServiceContext context,
                             Flow flow,
                             java.lang.StringBuilder buf)

  Specified by:
    `createString` in interface `StringFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD